
Figure - Bug #118177
【IOVDEV-29906】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏音乐界面显示异常的标志
2023-05-23 13:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.c103  中控：03.02.0080.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version: 2023-06-01

Test Type: ST Root cause: AOSP问题

Description

【环境信息】EE环境

【问题出现时间】：20230523  9点42分（ 第159次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏进入音乐界面

【实际结果】

副屏端音乐界面显示异常标志。

【期望结果】

副屏音乐界面显示正常，无异常标志。

【备注】：

此现象仅出现一次，且在其它应用界面未出现。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取

副屏log地址：https://ofs.human-horizons.com/#/download/index/6m3QiXYT8Ks%3D

视频地址：https://ofs.human-horizons.com/#/download/index/h9CWhqVk1kw%3D

【影响版本】：副屏：01.00.0095.c103  中控：03.02.0080.C101

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-23 13:57 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118177

#2 - 2023-05-23 20:49 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨
【状态】

分析了问题产生时间点的log，Music应用无异常日志输出，通过视频来看此问题属于UI层面问题，需要复现问题，查看此弹框显示的原因和布局

【下一步】

请帮忙提供复现方式

#3 - 2023-05-25 17:58 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

在5月25日约8点24分左右看到monkey测试时音乐界面中显示了异常标志，8点28分停止monkey后查看音乐界面，异常标志消失。副屏导出monkey测试的

实时和历史日志地址：https://ofs.human-horizons.com/#/download/index/0VWehheMJb8%3D

日志已经更新到ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118177

#4 - 2023-05-26 15:06 - CD APP-王营

- Status changed from NEED_INFO to ASSIGNED

【状态】

分析中

【分析】

Log中未能发现此现象相关的错误日志，目前有以下几个发现

1、此现象只在Music 音乐人板块出现，界面底部有音乐在播放，但是顶部音乐人列表没有对应数据显示，猜测音乐列表加载出现异常，此标志为一个错

误提示，需要进一步调查。

2、在monkey测试中容易复现。

【下一步】

1、继续分析音乐人界面逻辑，对应的fragment为：ArtistAlbumBrowserFragment

2、使用userdebug版本跑monkey测试，复现此问题，在userdebug版本上通过monitor工具查看异常情况的View结构。

#5 - 2023-05-30 17:52 - CD APP-王营

【分析】

Monkey测试在userdebug上复现此问题，目前使用monitor无法抓取View的层次结构，出现了异常

【下一步】

继续分析此界面的逻辑，尝试获取View布局结构

#6 - 2023-05-31 14:11 - CD APP-王营

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-01

- Root cause set to AOSP问题
【状态】

问题已解决

【分析】

此标志非bug，是Android原生控件的一个功能，AbsListView中如果listview或者GridView设置了setTextFilterEnable（true）会激活过滤器的功能

在Music应用中一些列表中就开启了此功能，此弹框为一个PopupWindow，此PopupWindow在keyEvent派发的时候也会出现。

当前出现的场景是Monkey测试中，Monkey派发了一些keyevent事件导致此窗口弹出，对此窗口进行了调试，log如下

05-31 10:15:32.700 26099 26099 I Monkey  : Sleeping for 200 milliseconds

05-31 10:15:32.879   654   666 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

05-31 10:15:32.972 26099 26099 I Monkey  : :Sending Key (ACTION_DOWN): 82    // KEYCODE_MENU

05-31 10:15:32.977 22680 22680 D ViewTouchDebug: mView : DecorView@fe07ff[MusicBrowserActivity]Receive event : KeyEvent { action=ACTION_DOWN,

keyCode=KEYCODE_MENU, scanCode=0, metaState=0, flags=0x8, repeatCount=0, eventTime=50333668, downTime=50333668, deviceId=-1, source=0x101,

displayId=-1 }

05-31 10:15:32.979 22680 22680 D PopupWindow: xxxx

05-31 10:15:32.979 22680 22680 D PopupWindow: java.lang.Throwable

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.PopupWindow.<init>(PopupWindow.java:314)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.PopupWindow.<init>(PopupWindow.java:305)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.PopupWindow.<init>(PopupWindow.java:296)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.PopupWindow.<init>(PopupWindow.java:287)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.AbsListView.createTextFilter(AbsListView.java:6281)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.AbsListView.sendToTextFilter(AbsListView.java:6052)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.ListView.commonKey(ListView.java:2491)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.ListView.onKeyDown(ListView.java:2363)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.KeyEvent.dispatch(KeyEvent.java:2854)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.View.dispatchKeyEvent(View.java:14478)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1959)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.widget.ListView.dispatchKeyEvent(ListView.java:2348)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.internal.policy.DecorView.superDispatchKeyEvent(DecorView.java:505)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.internal.policy.PhoneWindow.superDispatchKeyEvent(PhoneWindow.java:1880)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.app.Activity.dispatchKeyEvent(Activity.java:4193)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.music.MediaPlaybackActivity.dispatchKeyEvent(MediaPlaybackActivity.java:1260)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:419)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)
05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at

android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at

android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.os.MessageQueue.nativePollOnce(Native Method)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.os.MessageQueue.next(MessageQueue.java:335)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.os.Looper.loopOnce(Looper.java:161)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.os.Looper.loop(Looper.java:288)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at java.lang.reflect.Method.invoke(Native Method)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-31 10:15:32.979 22680 22680 D PopupWindow:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-31 10:15:33.048 26099 26099 I Monkey  : :Sending Key (ACTION_UP): 82    // KEYCODE_MENU

05-31 10:15:33.050 22680 22680 D ViewTouchDebug: mView : DecorView@fe07ff[MusicBrowserActivity]Receive event : KeyEvent { action=ACTION_UP,

keyCode=KEYCODE_MENU, scanCode=0, metaState=0, flags=0x8, repeatCount=0, eventTime=50333744, downTime=50333744, deviceId=-1, source=0x101,

displayId=-1 }

05-31 10:15:33.120 26099 26099 I Monkey  : Sleeping for 200 milliseconds

以上为此window弹出的堆栈信息

综上：此问题在Music的使用中不会出现，在monkey测试中会出现，因此对Monkey测试进行独立处理，keyevent的事件不需要下发

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/203732

#7 - 2023-05-31 14:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203732 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: SnapdragonMusic: Fix the symbol when running monkey testTC-RID: 0301-0301201IssueID: TS-R-BUG-118177Change-Id:

Icfa258ded85af4be3074c32b1d44a6354056f6db

#8 - 2023-05-31 14:29 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

#9 - 2023-06-02 17:34 - CDTS_Test 吴诗雨

已同步
#10 - 2023-06-02 17:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-02 17:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

音乐界面异常字符.png 902 KB 2023-05-23 CDTS_Test 吴诗雨

9点42分音乐界面显示异常字符标志.mp4 14.3 MB 2023-05-23 CDTS_Test 吴诗雨
